org.richfaces.component

## Class AbstractAccordionItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTogglePanelItem
        - - org.richfaces.component.AbstractAccordionItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, CoreProps, DisabledProps, EventsMouseProps, I18nProps, VisitChildrenRejectable
  Direct Known Subclasses:
    UIAccordionItem

      public abstract class AbstractAccordionItem
      extends AbstractTogglePanelItem
      implements AbstractTogglePanelTitledItem, javax.faces.component.behavior.ClientBehaviorHolder, CoreProps, EventsMouseProps, I18nProps

  The <rich:accordionItem> component is a panel for use with the <rich:accordion> component. <rich:accordionItem> components can be added dynamically using iteration models with the <c:forEach> tag.

  Author:
    akolonitsky

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem

      `AbstractTogglePanelTitledItem.HeaderStates`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTogglePanelItem

      `NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAccordionItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAccordion` | `getAccordion()`
    `String` | `getContentClass()` The CSS class applied to the panel content
    `String` | `getHeader()` Provides the text on the panel header.
    `String` | `getHeaderActiveClass()` The CSS class applied to the header when this panel is active
    `String` | `getHeaderClass()` The CSS class applied to the header
    `String` | `getHeaderDisabledClass()` The CSS class applied to the header when this panel is disabled
    `javax.faces.component.UIComponent` | `getHeaderFacet(Enum<?> state)`
    `String` | `getHeaderInactiveClass()` The CSS class applied to the header when this panel is inactive
    `String` | `getLeftActiveIcon()` The icon displayed on the left of the panel header when the panel is active
    `String` | `getLeftDisabledIcon()` The icon displayed on the left of the panel header when the panel is not active
    `String` | `getLeftInactiveIcon()` The icon displayed on the left of the panel header when the panel is disabled
    `AbstractAccordion` | `getParentPanel()`
    `String` | `getRightActiveIcon()` The icon displayed on the right of the panel header when the panel is active
    `String` | `getRightDisabledIcon()` The icon displayed on the right of the panel header when the panel is disabled
    `String` | `getRightInactiveIcon()` The icon displayed on the right of the panel header when the panel is not active
    `SwitchType` | `getSwitchType()` The switch mode when a panel is activated.
    `void` | `setContentClass(String contentClass)`
    `void` | `setHeader(String header)`
    `void` | `setHeaderActiveClass(String headerActiveClass)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setHeaderDisabledClass(String headerDisabledClass)`
    `void` | `setHeaderInactiveClass(String headerInactiveClass)`
    `void` | `setLeftActiveIcon(String leftActiveIcon)`
    `void` | `setLeftDisabledIcon(String leftDisabledIcon)`
    `void` | `setLeftInactiveIcon(String leftInactiveIcon)`
    `void` | `setRightActiveIcon(String rightActiveIcon)`
    `void` | `setRightDisabledIcon(String rightDisabledIcon)`
    `void` | `setRightInactiveIcon(String inactiveRightIcon)`
    `void` | `setSwitchType(SwitchType switchType)`
    `boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class org.richfaces.component.AbstractTogglePanelItem

      `getFamily, getName, getValue, isActive, isDynamicPanelItem, setName, shouldVisitChildren, toString`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem

      `getHeaderStyle, getOnheaderclick, getOnheaderdblclick, getOnheadermousedown, getOnheadermousemove, getOnheadermouseup`

    - ### Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface

      `getClientId, getName, getOnenter, getOnleave, isActive, isDynamicPanelItem, isRendered`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.VisitChildrenRejectable

      `shouldVisitChildren`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors, getDefaultEventName, getEventNames`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAccordionItem

          public AbstractAccordionItem()

  - ### Method Detail

    - #### getParentPanel

          public AbstractAccordion getParentPanel()

      Specified by:
        `getParentPanel` in interface `AbstractTogglePanelItemInterface`
      Overrides:
        `getParentPanel` in class `AbstractTogglePanelItem`

    - #### getAccordion

          public AbstractAccordion getAccordion()

    - #### getHeaderFacet

          public javax.faces.component.UIComponent getHeaderFacet(Enum<?> state)

    - #### getHeader

          public String getHeader()

      Provides the text on the panel header. The panel header is all that is visible when the accordion item is collapsed.

      Alternatively the header facet could be used in place of the header attribute. This would allow for additional styles and custom content to be applied to the tab.

      Specified by:
        `getHeader` in interface `AbstractTogglePanelTitledItem`

    - #### setHeader

          public void setHeader(String header)

    - #### getLeftActiveIcon

          public String getLeftActiveIcon()

      The icon displayed on the left of the panel header when the panel is active

    - #### setLeftActiveIcon

          public void setLeftActiveIcon(String leftActiveIcon)

    - #### getLeftDisabledIcon

          public String getLeftDisabledIcon()

      The icon displayed on the left of the panel header when the panel is not active

    - #### setLeftDisabledIcon

          public void setLeftDisabledIcon(String leftDisabledIcon)

    - #### getLeftInactiveIcon

          public String getLeftInactiveIcon()

      The icon displayed on the left of the panel header when the panel is disabled

    - #### setLeftInactiveIcon

          public void setLeftInactiveIcon(String leftInactiveIcon)

    - #### getRightActiveIcon

          public String getRightActiveIcon()

      The icon displayed on the right of the panel header when the panel is active

    - #### setRightActiveIcon

          public void setRightActiveIcon(String rightActiveIcon)

    - #### getRightDisabledIcon

          public String getRightDisabledIcon()

      The icon displayed on the right of the panel header when the panel is disabled

    - #### setRightDisabledIcon

          public void setRightDisabledIcon(String rightDisabledIcon)

    - #### getRightInactiveIcon

          public String getRightInactiveIcon()

      The icon displayed on the right of the panel header when the panel is not active

    - #### setRightInactiveIcon

          public void setRightInactiveIcon(String inactiveRightIcon)

    - #### getHeaderActiveClass

          public String getHeaderActiveClass()

      The CSS class applied to the header when this panel is active
      Specified by:
        `getHeaderActiveClass` in interface `AbstractTogglePanelTitledItem`

    - #### setHeaderActiveClass

          public void setHeaderActiveClass(String headerActiveClass)

    - #### getHeaderDisabledClass

          public String getHeaderDisabledClass()

      The CSS class applied to the header when this panel is disabled
      Specified by:
        `getHeaderDisabledClass` in interface `AbstractTogglePanelTitledItem`

    - #### setHeaderDisabledClass

          public void setHeaderDisabledClass(String headerDisabledClass)

    - #### getHeaderInactiveClass

          public String getHeaderInactiveClass()

      The CSS class applied to the header when this panel is inactive
      Specified by:
        `getHeaderInactiveClass` in interface `AbstractTogglePanelTitledItem`

    - #### setHeaderInactiveClass

          public void setHeaderInactiveClass(String headerInactiveClass)

    - #### getHeaderClass

          public String getHeaderClass()

      The CSS class applied to the header
      Specified by:
        `getHeaderClass` in interface `AbstractTogglePanelTitledItem`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getContentClass

          public String getContentClass()

      The CSS class applied to the panel content
      Specified by:
        `getContentClass` in interface `AbstractTogglePanelTitledItem`

    - #### setContentClass

          public void setContentClass(String contentClass)

    - #### getSwitchType

          public SwitchType getSwitchType()

      The switch mode when a panel is activated. One of: "client", "server", "ajax". Default: "ajax"
      Specified by:
        `getSwitchType` in interface `AbstractTogglePanelItemInterface`
      Overrides:
        `getSwitchType` in class `AbstractTogglePanelItem`

    - #### setSwitchType

          public void setSwitchType(SwitchType switchType)

      Overrides:
        `setSwitchType` in class `AbstractTogglePanelItem`

    - #### visitTree

          public boolean visitTree(javax.faces.component.visit.VisitContext context,
                          javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitTree` in class `AbstractTogglePanelItem`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.